# Spec file for rhdb-utils.
# Author: Liam Stewart <liams@redhat.com>, Andrew Overholt
# <overholt@redhat.com>, Tom Lane <tgl@redhat.com>
# Copyright (C) 2002, 2003, 2004 Red Hat, Inc.

Summary: Miscellaneous utilities for PostgreSQL - Red Hat Edition.
Name: rhdb-utils
Version: 3.0
Release: 3
URL: http://sources.redhat.com/rhdb/
License: GPL
Group: Applications/Databases
BuildRoot: %{_tmppath}/%{name}-root
Buildrequires: postgresql-devel >= 7.4

Source0: http://sources.redhat.com/rhdb/tools/pg_filedump.tar
Patch1: pg_filedump-make.patch
Patch2: pg_filedump-crc.patch

%description
This package contains miscellaneous, non-graphical tools developed for
PostgreSQL - Red Hat Edition.

%prep
rm -rf pg_filedump
tar xf %{SOURCE0}

%patch1 -p0 -b .make
%patch2 -p0 -b .crc

%build
pushd pg_filedump
make
popd

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 pg_filedump/pg_filedump ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/pg_filedump
%doc pg_filedump/ChangeLog pg_filedump/README.pg_filedump

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Apr  5 2004 Tom Lane <tgl@redhat.com>
- Update outdated URL.

* Fri Feb 20 2004 Tom Lane <tgl@redhat.com>
- Remove beta label from pg_filedump.

* Fri Feb 20 2004 Tom Lane <tgl@redhat.com>
- Update to version 3.0.
- Increment Buildrequires to >= PostgreSQL 7.4
- Rebuild for Fedora Core 2.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Nov 21 2003 David Jee <djee@redhat.com> 2.0-2
- Remove Distribution tag.
- Rebuild for Fedora Core 1.

* Thu May 29 2003 Andrew Overholt <overholt@redhat.com>
- Bump to version 2.0.
- Modify distribution.
- Increment Buildrequires to >= PostgreSQL 7.3

* Wed Sep 11 2002 Andrew Overholt <overholt@redhat.com>
- Changed revision to 1.

* Fri Jul  8 2002 Liam Stewart <liams@redhat.com>
- Updated summary and description.

* Thu Jul  4 2002 Liam Stewart <liams@redhat.com>
- Updated Source0 entry.

* Wed Jun 26 2002 Liam Stewart <liams@redhat.com>
- Group fix.

* Mon Jun 24 2002 Liam Stewart <liams@redhat.com>
- Initial build.


